r38263 - in /desktop/experimental/d-conf/debian: changelog control.in tests/ tests/build tests/control
seb128 at users.alioth.debian.org
seb128 at users.alioth.debian.org
Fri May 31 09:51:38 UTC 2013
Author: seb128
Date: Fri May 31 09:51:37 2013
New Revision: 38263
URL: http://svn.debian.org/wsvn/pkg-gnome/?sc=1&rev=38263
Log:
* debian/control.in, debian/tests:
- simple build/run autopkg test, thanks Rafal Cieslak and Martin Pitt
Added:
desktop/experimental/d-conf/debian/tests/
desktop/experimental/d-conf/debian/tests/build
desktop/experimental/d-conf/debian/tests/control
Modified:
desktop/experimental/d-conf/debian/changelog
desktop/experimental/d-conf/debian/control.in
Modified: desktop/experimental/d-conf/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/d-conf/debian/changelog?rev=38263&op=diff
==============================================================================
--- desktop/experimental/d-conf/debian/changelog [utf-8] (original)
+++ desktop/experimental/d-conf/debian/changelog [utf-8] Fri May 31 09:51:37 2013
@@ -1,3 +1,10 @@
+d-conf (0.16.0-2) UNRELEASED; urgency=low
+
+ * debian/control.in, debian/tests:
+ - simple build/run autopkg test, thanks Rafal Cieslak and Martin Pitt
+
+ -- Sebastien Bacher <seb128 at debian.org> Fri, 31 May 2013 11:48:32 +0200
+
d-conf (0.16.0-1) experimental; urgency=low
[ Josselin Mouette ]
Modified: desktop/experimental/d-conf/debian/control.in
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/d-conf/debian/control.in?rev=38263&op=diff
==============================================================================
--- desktop/experimental/d-conf/debian/control.in [utf-8] (original)
+++ desktop/experimental/d-conf/debian/control.in [utf-8] Fri May 31 09:51:37 2013
@@ -19,6 +19,7 @@
Homepage: http://live.gnome.org/dconf
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/d-conf
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/d-conf/
+XS-Testsuite: autopkgtest
Package: libdconf1
Architecture: any
Added: desktop/experimental/d-conf/debian/tests/build
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/d-conf/debian/tests/build?rev=38263&op=file
==============================================================================
--- desktop/experimental/d-conf/debian/tests/build (added)
+++ desktop/experimental/d-conf/debian/tests/build [utf-8] Fri May 31 09:51:37 2013
@@ -1,0 +1,24 @@
+#!/bin/sh
+# autopkgtest check: Builds a small application against libdconf-dev, checking
+# if it compiles, links and runs successfully.
+# Author: Rafał Cieślak <rafalcieslak256 at ubuntu.com>
+
+set -e
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+cat <<EOF > build_test.c
+#include <dconf.h>
+int main(int argc, char** argv) {
+ if(dconf_is_path("No, this is not actually a path!",NULL)) return 1;
+ return 0;
+}
+EOF
+
+gcc -o build_test build_test.c `pkg-config --cflags --libs dconf`
+echo "build: OK"
+[ -x build_test ]
+./build_test
+echo "run: OK"
+
Added: desktop/experimental/d-conf/debian/tests/control
URL: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/d-conf/debian/tests/control?rev=38263&op=file
==============================================================================
--- desktop/experimental/d-conf/debian/tests/control (added)
+++ desktop/experimental/d-conf/debian/tests/control [utf-8] Fri May 31 09:51:37 2013
@@ -1,0 +1,2 @@
+Tests: build
+Depends: build-essential, libdconf-dev, pkg-config
More information about the pkg-gnome-commits
mailing list